@echo off
TITLE Enable Log-On Blurred Effect
mode con cols=80 lines=10
COLOR 1F
echo.

cd %systemroot%\system32
call :IsAdmin
CLS
TITLE Windows 10 Enable 19H1+ Blurred Log-On Background Effect.
cls
color 1f
echo.
ver | findstr /i " 10\.0\." > nul
IF "%ERRORLEVEL%" EQU "0" goto :Win10
echo This script only works on Windows 10 Kernels.
echo.
pause
exit

:Win10
echo.

REM This entry has no effect on any Win 10 below 19H1 build 18312. 
REG DELETE "HKLM\SOFTWARE\Policies\Microsoft\Windows\System" /v "DisableAcrylicBackgroundOnLogon" /f >nul 2>&1

echo.
echo Done.

:Finished
TIMEOUT /T 5 >NUL 2>&1
exit

:IsAdmin
Reg.exe query "HKU\S-1-5-19\Environment"
If Not %ERRORLEVEL% EQU 0 (
 Cls
 echo.
 Echo You must have administrator rights to continue...
 echo.
 Pause
 Exit
)
